summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2017-09-08 00:52:52 +0200
committer David Spencer2017-09-08 00:52:52 +0200
commitb5365b1f400b9e17b1281b9f885543abe1477894 (patch)
tree275edc74aa1aa83bae4944dae5b4e884950bc425 /development
parent5c63860cddadb226ecbe967e7ca1642aaebe14c7 (diff)
downloadslackbuilds-b5365b1f400b9e17b1281b9f885543abe1477894.tar.gz
development/xasm: Added (cross assembler targetting the 6502).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/xasm/README6
-rw-r--r--development/xasm/slack-desc19
-rw-r--r--development/xasm/xasm.SlackBuild58
-rw-r--r--development/xasm/xasm.info10
4 files changed, 93 insertions, 0 deletions
diff --git a/development/xasm/README b/development/xasm/README
new file mode 100644
index 0000000000..f734548b95
--- /dev/null
+++ b/development/xasm/README
@@ -0,0 +1,6 @@
+xasm (cross assembler targetting the 6502)
+
+xasm is a 6502 cross-assembler with original syntax extensions. By
+default it generates binaries for Atari 8-bit computers.
+
+Syntax highlighting for the scite editor is included.
diff --git a/development/xasm/slack-desc b/development/xasm/slack-desc
new file mode 100644
index 0000000000..e4475147e3
--- /dev/null
+++ b/development/xasm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xasm: xasm (cross assembler targetting the 6502)
+xasm:
+xasm: xasm is a 6502 cross-assembler with original syntax extensions. By
+xasm: default it generates binaries for Atari 8-bit computers.
+xasm:
+xasm:
+xasm:
+xasm:
+xasm:
+xasm:
+xasm:
diff --git a/development/xasm/xasm.SlackBuild b/development/xasm/xasm.SlackBuild
new file mode 100644
index 0000000000..2ddd7c9000
--- /dev/null
+++ b/development/xasm/xasm.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for xasm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=xasm
+VERSION=${VERSION:-3.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# This isn't written in C, so we don't need SLKCFLAGS. We don't install
+# anything in /usr/lib* so we don't need LIBDIRSUFFIX.
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install install-scite prefix=/usr mandir=/usr/man/man1 DESTDIR=$PKG
+chmod 644 $PKG/usr/share/scite/$PRGNAM.properties
+strip $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/xasm/xasm.info b/development/xasm/xasm.info
new file mode 100644
index 0000000000..2da96f9451
--- /dev/null
+++ b/development/xasm/xasm.info
@@ -0,0 +1,10 @@
+PRGNAM="xasm"
+VERSION="3.1.0"
+HOMEPAGE="https://github.com/pfusik/xasm"
+DOWNLOAD="https://github.com/pfusik/xasm/archive/xasm-3.1.0/xasm-xasm-3.1.0.tar.gz"
+MD5SUM="d7124e5e18e05414b59eba1e6bed2b09"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dmd"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"